## PDC Load Config request PDC Load Config request |

## Functions

QmiMessagePdcLoadConfigInput * | qmi_message_pdc_load_config_input_new ()
QmiMessagePdcLoadConfigInput * | qmi_message_pdc_load_config_input_ref ()
void | qmi_message_pdc_load_config_input_unref ()
gboolean | qmi_message_pdc_load_config_input_get_token ()
gboolean | qmi_message_pdc_load_config_input_set_token ()
gboolean | qmi_message_pdc_load_config_input_get_config_chunk ()
gboolean | qmi_message_pdc_load_config_input_set_config_chunk ()
QmiMessagePdcLoadConfigOutput * | qmi_message_pdc_load_config_output_ref ()
void | qmi_message_pdc_load_config_output_unref ()
gboolean | qmi_message_pdc_load_config_output_get_token ()
gboolean | qmi_message_pdc_load_config_output_get_result ()
void | qmi_client_pdc_load_config ()
QmiMessagePdcLoadConfigOutput * | qmi_client_pdc_load_config_finish ()

## Types and Values

| QmiMessagePdcLoadConfigInput
| QmiMessagePdcLoadConfigOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcLoadConfigInput
        ╰── QmiMessagePdcLoadConfigOutput

## Description

## Functions

### qmi_message_pdc_load_config_input_new ()

    QmiMessagePdcLoadConfigInput *
    qmi_message_pdc_load_config_input_new (void);

Allocates a new QmiMessagePdcLoadConfigInput.

#### Returns

the newly created QmiMessagePdcLoadConfigInput. The returned value should be freed with `qmi_message_pdc_load_config_input_unref()`.

Since: 1.18

### qmi_message_pdc_load_config_input_ref ()

    QmiMessagePdcLoadConfigInput *
    qmi_message_pdc_load_config_input_ref (QmiMessagePdcLoadConfigInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcLoadConfigInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_load_config_input_unref ()

    void
    qmi_message_pdc_load_config_input_unref
                                   (QmiMessagePdcLoadConfigInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcLoadConfigInput. |

Since: 1.18

### qmi_message_pdc_load_config_input_get_token ()

    gboolean
    qmi_message_pdc_load_config_input_get_token
                                   (QmiMessagePdcLoadConfigInput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcLoadConfigInput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_load_config_input_set_token ()

    gboolean
    qmi_message_pdc_load_config_input_set_token
                                   (QmiMessagePdcLoadConfigInput *self,
                                    guint32 value_token,
                                    GError **error);

Set the 'Token' field in the message.

#### Parameters

self | a QmiMessagePdcLoadConfigInput. |
value_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_load_config_input_get_config_chunk ()

    gboolean
    qmi_message_pdc_load_config_input_get_config_chunk
                                   (QmiMessagePdcLoadConfigInput *self,
                                    QmiPdcConfigurationType *value_config_chunk_type,
                                    GArray **value_config_chunk_id,
                                    guint32 *value_config_chunk_total_size,
                                    GArray **value_config_chunk_chunk,
                                    GError **error);

Get the 'Config Chunk' field from `self` .

#### Parameters

self | a QmiMessagePdcLoadConfigInput. |
value_config_chunk_type | a placeholder for the output QmiPdcConfigurationType, or `NULL` if not required. |
value_config_chunk_id | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
value_config_chunk_total_size | a placeholder for the output guint32, or `NULL` if not required. |
value_config_chunk_chunk | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_load_config_input_set_config_chunk ()

    gboolean
    qmi_message_pdc_load_config_input_set_config_chunk
                                   (QmiMessagePdcLoadConfigInput *self,
                                    QmiPdcConfigurationType value_config_chunk_type,
                                    GArray *value_config_chunk_id,
                                    guint32 value_config_chunk_total_size,
                                    GArray *value_config_chunk_chunk,
                                    GError **error);

Set the 'Config Chunk' field in the message.

#### Parameters

self | a QmiMessagePdcLoadConfigInput. |
value_config_chunk_type | a QmiPdcConfigurationType. |
value_config_chunk_id | a GArray of guint8 elements. A new reference to `value_config_chunk_id` will be taken. |
value_config_chunk_total_size | a guint32. |
value_config_chunk_chunk | a GArray of guint8 elements. A new reference to `value_config_chunk_chunk` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_load_config_output_ref ()

    QmiMessagePdcLoadConfigOutput *
    qmi_message_pdc_load_config_output_ref
                                   (QmiMessagePdcLoadConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcLoadConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_load_config_output_unref ()

    void
    qmi_message_pdc_load_config_output_unref
                                   (QmiMessagePdcLoadConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcLoadConfigOutput. |

Since: 1.18

### qmi_message_pdc_load_config_output_get_token ()

    gboolean
    qmi_message_pdc_load_config_output_get_token
                                   (QmiMessagePdcLoadConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcLoadConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_load_config_output_get_result ()

    gboolean
    qmi_message_pdc_load_config_output_get_result
                                   (QmiMessagePdcLoadConfigOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcLoadConfigOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_load_config ()

    void
    qmi_client_pdc_load_config (QmiClientPdc *self,
                                QmiMessagePdcLoadConfigInput *input,
                                guint timeout,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously sends a Load Config request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_load_config_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcLoadConfigInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_load_config_finish ()

    QmiMessagePdcLoadConfigOutput *
    qmi_client_pdc_load_config_finish (QmiClientPdc *self,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an async operation started with `qmi_client_pdc_load_config()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_load_config()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcLoadConfigOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_load_config_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcLoadConfigInput

    typedef struct _QmiMessagePdcLoadConfigInput QmiMessagePdcLoadConfigInput;

The QmiMessagePdcLoadConfigInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcLoadConfigOutput

    typedef struct _QmiMessagePdcLoadConfigOutput QmiMessagePdcLoadConfigOutput;

The QmiMessagePdcLoadConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18